﻿namespace BlazorEventComponent.Components.Components
{
    using Microsoft.AspNetCore.Components;

    public partial class MyAmazingComponent
    {
        
        private Engine _internalSelectedEngine = Engine.Ion;

        private Engine InternalSelectedEngine
        {
            get => _internalSelectedEngine;

            set
            {
                if (_internalSelectedEngine != value)
                {
                    _internalSelectedEngine = value;
                }

                OnInternalSelectedEngineChanged();
            }
        }
        

        [Parameter]
        public EventCallback<MyAmazingComponentFilterEventArgs> OnFilter { get; set; }

        private void OnInternalSelectedEngineChanged()
        {
            _ = OnFilter.InvokeAsync(new MyAmazingComponentFilterEventArgs
            {
                Engine = _internalSelectedEngine
            });
        }

    }
}
