﻿namespace BlazorEventComponent.Components.Components
{
    using Microsoft.AspNetCore.Components;

    public partial class MyGreatComponent
    {
        private Engine _internalSelectedEngine = Engine.Ion;

        private Engine InternalSelectedEngine
        {
            get => _internalSelectedEngine;

            set
            {
                if (_internalSelectedEngine != value)
                {
                    _internalSelectedEngine = value;
                }

                OnInternalSelectedEngineChanged();
            }
        }
        
        [Parameter]
        public Engine SelectedEngine { get; set; }

        [Parameter]
        public EventCallback<Engine> SelectedEngineChanged { get; set; }

        private void OnInternalSelectedEngineChanged()
        {
            _ = SelectedEngineChanged.InvokeAsync(_internalSelectedEngine);
        }
    }
}
