﻿namespace DemoGraphQL.Server.GraphQL.GraphQLTypes
{
    using DemoGraphQL.Server.Contracts;
    using DemoGraphQL.Server.Entities;
    using global::GraphQL.DataLoader;
    using global::GraphQL.Types;
    using System;

    public class OwnerType : ObjectGraphType<Owner>
    {
        public OwnerType(IAccountRepository repository, IDataLoaderContextAccessor dataLoader)
        {
            Field(x => x.Id, type: typeof(IdGraphType)).Description("Id property from the owner object.");
            Field(x => x.Name).Description("Name property from the owner object.");
            Field(x => x.Address).Description("Address property from the owner object.");
            Field<ListGraphType<AccountType>>(
                "accounts",
                 resolve: context =>
                 {
                     var loader = dataLoader.Context.GetOrAddCollectionBatchLoader<Guid, Account>("GetAccountsByOwnerIds", repository.GetAccountsByOwnerIds);
                     return loader.LoadAsync(context.Source.Id);
                 });
        }
    }
}