﻿namespace DemoWebsocket.Client.Pages
{
    using DemoWebsocket.Client.Models;
    using Microsoft.AspNetCore.SignalR.Client;
    using System.Collections.Generic;
    using System.Threading.Tasks;

    public partial class DemoSignalR
    {
        private HubConnection connection;

        private string connectionUrl = "https://localhost:44391/ChatHub";
        private List<Chat> logs = new List<Chat>();
        private string message = "";
        private string userName = "UserName";

        public DemoSignalR()
        {
            connection = new HubConnectionBuilder()
               .WithUrl(connectionUrl)
               .Build();
        }

        public void Dispose()
        {
            OnClose();
        }

        private async void OnClose()
        {
            await connection.InvokeAsync("SendMessage", new Chat { Type = "disconnect", Name = userName });

            await connection.StopAsync();
        }

        private async void OnConnect()
        {
            connection.On<Chat>("ReceiveMessage", chat =>
            {
                logs.Add(chat);
                StateHasChanged();
            });

            await connection.StartAsync();

            await connection.InvokeAsync("SendMessage", new Chat { Type = "connect", Name = userName });
        }

        private async Task SendMessageAsync()
        {
            await connection.InvokeAsync("SendMessage", new Chat { Type = "message", Name = userName, Message = message });
        }
    }
}