﻿namespace DemoWebsocket.Server
{
    using System;
    using System.Runtime.Serialization;

    /// <summary>
    /// The web socket handler exception.
    /// </summary>
    [Serializable]
    public class WebSocketHandlerException : Exception
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="WebSocketHandlerException"/> class.
        /// </summary>
        public WebSocketHandlerException()
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="WebSocketHandlerException"/> class.
        /// </summary>
        /// <param name="message">The message that describes the error.</param>
        public WebSocketHandlerException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="WebSocketHandlerException"/> class.
        /// </summary>
        /// <param name="message">The message.</param>
        /// <param name="inner">The inner.</param>
        public WebSocketHandlerException(string message, Exception inner)
            : base(message, inner)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="WebSocketHandlerException"/> class.
        /// </summary>
        /// <param name="info">The <see cref="SerializationInfo" /> that holds the serialized object data about the exception being thrown.</param>
        /// <param name="context">The <see cref="StreamingContext" /> that contains contextual information about the source or destination.</param>
        protected WebSocketHandlerException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}