﻿namespace DemoWebsocket.Server.WebSockets
{
    using System.Net.WebSockets;
    using System.Text;
    using System.Threading.Tasks;

    public class ChatConsumerHandler : WebSocketHandler
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ChatConsumerHandler"/> class.
        /// </summary>
        /// <param name="webSocketConnectionManager">The web socket connection manager.</param>
        public ChatConsumerHandler(ConnectionManager webSocketConnectionManager) : base(webSocketConnectionManager)
        {
        }

        /// <summary>
        /// Receives the asynchronous.
        /// </summary>
        /// <param name="socket">The socket.</param>
        /// <param name="result">The result.</param>
        /// <param name="buffer">The buffer.</param>
        /// <param name="counter">The counter.</param>
        /// <returns>
        /// The async task.
        /// </returns>
        public override async Task ReceiveAsync(WebSocket socket, WebSocketReceiveResult result, byte[] buffer, int counter)
        {
            await this.SendMessageToAllAsync(Encoding.UTF8.GetString(buffer, 0, counter));
        }
    }
}