---
sidebar_position: 1
title: Notation
---

# Scoring grid

Please note that this scoring grid is given for information only and the scale may change.

## Expected final rendering:

- The project on the gitlab, the forge, github ... (please invite me to the project if it is private)
- The documentation (preferably in a docs directory at the root of your project)
- A readme that explains how to launch the project, which branch, don't forget to explain the specific manipulations and the data to be created

:::caution
Without any indication from you, the master/main branch will be taken into account and the project launched by default.
:::

## Blazor Apps (*30 points*)

- Implementation of a data visualization page with pagination (*2 points*)
- Page for adding an element with validation (*2 point*)
- Edit page of an element with validation (*2 point*)
- Deletion of an element with a confirmation (*2 point*)
- Complex component (*5 point*)
- Use API (Get / Insert / Update / Delete) (*3 point*)
- IOC & DI use (*4 point*)
- Localization & Globalization (at least two languages) (*1 point*)
- Use of the configuration (*1 point*)
- Logs (*2 points*)
- Code cleanliness (You can use sonarqube) (*2 point*)
- GUI (Global design, placement of buttons, ...) (*2 point*)
- Code location (No code in views) (*2 point*)

## To go further (see list of bonuses in the progress section)

## Documentation (10 points)

- The Readme (*2 points*)
- Description of how the client solution works (code-level illustration) (*6 points*)
- Merge request (*2 points*)