---
sidebar_position: 3
title: Ajouter l'action Editer
---

Afin d'atteindre la page d'édition nous allons donc modifier la grille afin d'ajouter un lien vers notre nouvelle page avec l'identifiant de notre élement.

Pour cela nous allons créer une nouvelle colonne `DataGridColumn` avec un `DisplayTemplate`.

Ouvrer le fichier `Pages/List.razor` et ajouter les modification en surbrillance commme suite :

```cshtml title="Pages/List.razor"
...

    <DataGridColumn TItem="Item" Field="@nameof(Item.CreatedDate)" Caption="Created date" DisplayFormat="{0:d}" DisplayFormatProvider="@System.Globalization.CultureInfo.GetCultureInfo("fr-FR")" />
// highlight-start
    <DataGridColumn TItem="Item" Field="@nameof(Item.Id)" Caption="Action">
        <DisplayTemplate>
            <a href="Edit/@(context.Id)" class="btn btn-primary"><i class="fa fa-edit"></i> Editer</a>
        </DisplayTemplate>
    </DataGridColumn>
// highlight-end
</DataGrid>
```
