---
sidebar_position: 5
title: Tableau HTML
---

## Utiliser un tableau HTML

Maintenant que nous avons afficher un des champs de notre objet, nous allons afficher l'ensemble des informations.

Ouvrer le fichier `List.razor` et le remplir comme suite :

```cshtml title="Pages/List.razor"
@page "/list"

<h3>List</h3>

@if (items != null)
{
// highlight-start
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Display Name</th>
                <th>Stack Size</th>
                <th>Maximum Durability</th>
                <th>Enchant Categories</th>
                <th>Repair With</th>
                <th>Created Date</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in items)
            {
                <tr>
					<td>@item.Id</td>
                    <td>@item.DisplayName</td>
                    <td>@item.StackSize</td>
                    <td>@item.MaxDurability</td>
                    <td>@(string.Join(", ", item.EnchantCategories))</td>
                    <td>@(string.Join(", ", item.RepairWith))</td>
                    <td>@item.CreatedDate.ToShortDateString()</td>
                </tr>
            }
        </tbody>
    </table>
// highlight-end
}
```

Vous avez désormais afficher l'ensemble de vos données, cela est simple mais manque de fonctionnalitées, impossible de trier les données ou de les filtrer ou avoir de la pagination.